﻿<AML>
 <Item type="Method" id="C8343CD3806847B58D78CB8E503FAC0E" action="add">
  <comments>Setting default date in accounting module forms</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_setDefaultDate
Created By		:		SolidCAD
Creation Date:			2018-01-23
Description:
	Set Start Date and Form Date automatically.
	
Hooks:
	Type:	Form	:	acc_cashbook_transaction_rpt
	Event:	Form Event ( onFormPopulated )
	
	Type:	Form	:	acc_cashbooktransfer
	Event:	Form Event ( onFormPopulated )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();
var todayDate = new Date();
todayDate.setDate(todayDate.getDate());

var itemType = document.thisItem.getType().toString().toLowerCase();
switch (itemType) {

    case 'acc_cashbook_transaction_rpt':
        {
            var acc_filter_fromdate = document.thisItem.getProperty('acc_filter_fromdate');
            if (!acc_filter_fromdate) {
                handleItemChange("acc_filter_fromdate", dateFormat(todayDate));
            }

            var acc_filter_todate = document.thisItem.getProperty('acc_filter_todate');
            if (!acc_filter_todate) {
                handleItemChange("acc_filter_todate", dateFormat(todayDate));
            }
        }
        break;

    case 'acc_cashbooktransfer':
        {
            var acc_transfer_date = document.thisItem.getProperty('acc_transfer_date');
            if (!acc_transfer_date) {
                handleItemChange("acc_transfer_date", dateFormat(todayDate));
            }
        }
        break;
    default:
        // do nothing
}

function dateFormat(d) {
    var dateString = d.getFullYear() + "-";
    dateString += pad(d.getMonth() + 1) + "-";
    dateString += pad(d.getDate()) + "T";
    dateString += pad(d.getHours()) + ":";
    dateString += pad(d.getMinutes()) + ":";
    dateString += pad(d.getSeconds());
    return dateString;
}

function pad(x) {
    return (x < 10) ? "0" + x : "" + x;
}

function myHandleItemChange(property, value) {
    
    if (top.instance.document) {
        
        top.instance.handleItemChange(property, value);
    } else {
        
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_setDefaultDate</name>
 </Item>
</AML>